# Interface AssetGet

interface AssetGet {
category?: string;
createdBy: string;
createdUtc: string;
etag: string;
id: string;
ifcGid?: string;
isDeleted?: boolean;
metadata?: Record<string, unknown>;
modifiedBy: string;
modifiedUtc: string;
name: string;
parentIfcGid?: string;
position?: AssetPosition;
twinReference?: string;
type?: string;
}

##### Index

### Properties

category?
createdBy
createdUtc
etag
id
ifcGid?
isDeleted?
metadata?
modifiedBy
modifiedUtc
name
parentIfcGid?
position?
twinReference?
type?

## Properties

### `Optional` category

category?: string

### createdBy

createdBy: string

### createdUtc

createdUtc: string

### etag

etag: string

### id

id: string

### `Optional` ifcGid

ifcGid?: string

### `Optional` isDeleted

isDeleted?: boolean

### `Optional` metadata

metadata?: Record<string, unknown>

### modifiedBy

modifiedBy: string

### modifiedUtc

modifiedUtc: string

### name

name: string

### `Optional` parentIfcGid

parentIfcGid?: string

### `Optional` position

position?: AssetPosition

### `Optional` twinReference

twinReference?: string

### `Optional` type

type?: string